* {
  box-sizing: border-box;
}

html {
  font-family: Helvetica, Arial, sans-serif;
  font-size: 100%;
  background: #333;
}

.container {
  width: 800px;
  margin: 1em auto;
  background: #fffff8;
  padding: 1em;
  border-top: 5px solid #c3d45e;
}

#main {
  display: flex;
  flex-direction: row;
}

#channels {
  width: 30%;
  padding: 10px;
}

#messages {
  width: 70%;
  padding: 10px;
}

.link {
  cursor: pointer;
  color: #503030;
}

.link.selected {
  font-weight: bold;
  color: #803030;
}

input[type="text"] {
  width: 100%;
  margin: 25px 0 25px 0;
}

#messageInput, #user {
  text-align: right;
}

.them {
  color: #000080;
  text-align: left;
}

.me {
  color: #800000;
  text-align: right;
}

.name {
  font-weight: bold;
}

.date {
  font-size: 70%;
  font-style: italic;
}

@media (max-width: 800px) {
  .container {
    width: 80%;
  } 
}